<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Firma\MitarbeiterUebersicht\MitarbeiterDokumente;

class MitarbeiterDokumenteZeilenView extends \Kufer\KuferTools\Basis\View\ViewSight
{
  public function getTemplatePathRelative()
  {
    return 'firma/mitarbeiteruebersicht/dokumente_zeilen.sgt';
  }

  protected function getBodyDataModulArray()
  {
    \FunctionOperations::map(\FunctionOperations::addAttribute('mitarbeiterTnr', function() {
      return $this->viewModel->tnr;
    }))($this->viewModel->dokumente);

    return $this->viewModel->dokumente;
  }

  protected function getDefaultDataModulArray()
  {
    $datamodul = new \Datamodul();
    
    $datamodul->bereichsname = $this->viewModel->bereichsname;

    return array($datamodul);
  }
}

class MitarbeiterDokumenteZeilenViewModel
{
  public $dokumente = array();
  public $showUploadButton;
  public $bereichsname;
  public $tnr;
}